Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_PermissionBundle

    java.lang.Object

      |

      +--oracle.ifs.server.S_LibraryObject

            |

            +--oracle.ifs.server.S_TieLibraryObject

                  |

                  +--oracle.ifs.server.S_SystemObject

                        |

                        +--oracle.ifs.server.S_TieSystemObject

                              |

                              +--oracle.ifs.server.S_PermissionBundle

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, SystemObjectInterface, Traceable

Direct Known Subclasses:
  S_TiePermissionBundle

public class S_PermissionBundle
extends S_TieSystemObject

The `S_PermissionBundle` class

See Also:
  `S_LibraryService`, `S_LibrarySession`

Method Summary
`AccessLevel` | `getAccessLevel()` Returns the AccessLevel for this permission bundle.

Methods inherited from class oracle.ifs.server.S_SystemObject
`extendedPreInsert`

Methods inherited from class oracle.ifs.server.S_LibraryObject
`deriveDefinition, equals, extendedPreFree, extendedPreUpdate, free, getAttribute, getAttributeByUpperCaseName, getClassId, getClassObject, getId, getSession, handleEvent, hasNameAttribute, isTraced, postEvent, postEvent, renderAsReader, renderAsStream, setAttribute, setAttribute, toString, trace, update`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getId`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Method Detail

### getAccessLevel

    public AccessLevel getAccessLevel()
                               throws IfsException

  Returns the AccessLevel for this permission bundle.
  Returns:
    access level for this object
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD